=== src/plugins/screenshotplugin/Makefile ===
#############################################################################
# Makefile for building: libscreenshotplugin.so
# Generated by qmake (2.01a) (Qt 4.8.2) on: Thu Jun 28 23:09:18 2012
# Project:  screenshotplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.13 -I.moc
LINK          = g++
LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtNetwork -lQtCore 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = screenshotplugin.cpp \
		screenshotplugincontainer.cpp \
		screenshotpluginfactory.cpp .moc/moc_screenshotplugin.cpp \
		.moc/moc_screenshotplugincontainer.cpp
OBJECTS       = .obj/screenshotplugin.o \
		.obj/screenshotplugincontainer.o \
		.obj/screenshotpluginfactory.o \
		.obj/moc_screenshotplugin.o \
		.obj/moc_screenshotplugincontainer.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		screenshotplugin.pro
QMAKE_TARGET  = screenshotplugin
DESTDIR       = ../
TARGET        = libscreenshotplugin.so
TARGETD       = libscreenshotplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: screenshotplugin.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtXml.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtNetwork.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/x86_64-linux-gnu/libQtXml.prl:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtNetwork.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/screenshotplugin0.0.1 || $(MKDIR) .obj/screenshotplugin0.0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/screenshotplugin0.0.1/ && $(COPY_FILE) --parents screenshotplugin.h screenshotplugincontainer.h screenshotpluginfactory.h .obj/screenshotplugin0.0.1/ && $(COPY_FILE) --parents screenshotplugin.cpp screenshotplugincontainer.cpp screenshotpluginfactory.cpp .obj/screenshotplugin0.0.1/ && $(COPY_FILE) --parents ../../../translations/screenshotplugin_de.ts ../../../translations/screenshotplugin_es.ts .obj/screenshotplugin0.0.1/ && (cd `dirname .obj/screenshotplugin0.0.1` && $(TAR) screenshotplugin0.0.1.tar screenshotplugin0.0.1 && $(COMPRESS) screenshotplugin0.0.1.tar) && $(MOVE) `dirname .obj/screenshotplugin0.0.1`/screenshotplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/screenshotplugin0.0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_screenshotplugin.cpp .moc/moc_screenshotplugincontainer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_screenshotplugin.cpp .moc/moc_screenshotplugincontainer.cpp
.moc/moc_screenshotplugin.cpp: screenshotplugincontainer.h \
		screenshotplugin.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) screenshotplugin.h -o .moc/moc_screenshotplugin.cpp

.moc/moc_screenshotplugincontainer.cpp: screenshotplugincontainer.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) screenshotplugincontainer.h -o .moc/moc_screenshotplugincontainer.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: .ui/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) .ui/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

.obj/screenshotplugin.o: screenshotplugin.cpp screenshotplugin.h \
		screenshotplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/screenshotplugin.o screenshotplugin.cpp

.obj/screenshotplugincontainer.o: screenshotplugincontainer.cpp screenshotplugincontainer.h \
		screenshotplugin.h \
		screenshotpluginfactory.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/screenshotplugincontainer.o screenshotplugincontainer.cpp

.obj/screenshotpluginfactory.o: screenshotpluginfactory.cpp screenshotpluginfactory.h \
		screenshotplugin.h \
		screenshotplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/screenshotpluginfactory.o screenshotpluginfactory.cpp

.obj/moc_screenshotplugin.o: .moc/moc_screenshotplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_screenshotplugin.o .moc/moc_screenshotplugin.cpp

.obj/moc_screenshotplugincontainer.o: .moc/moc_screenshotplugincontainer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_screenshotplugincontainer.o .moc/moc_screenshotplugincontainer.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
