=== debian/changelog ===
packagesearch (2.7.3) unstable; urgency=low

  * fixed packagesearch to show the correct long description (Closes: #676812)

 -- Benjamin Mesing <bensmail@gmx.net>  Thu, 28 Jun 2012 23:00:34 +0200

packagesearch (2.7.2) unstable; urgency=low

  * changed RunCommandInXterm to use /usr/bin/uxterm, because
    only there I can guarantee consistent behaviour (Closes: #676811)
  * make apt default package management tool
  * inform user to configure to use apt if aptitude
    is not available (Closes: #676810)
  * fixed several multiarch issues

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 12 Jun 2012 21:03:37 +0200

packagesearch (2.7.1) unstable; urgency=medium

  * changed debian build infrastructure to use debhelper

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 20 May 2012 11:45:28 +0200

packagesearch (2.7) unstable; urgency=high

  * compiled against latest version of libept/libapt (Closes: #669215)
  * fixed compiler error caused by xapian having a slots member 
    variable (Closes: #639076)
  * added support for displaying the "Homepage" field (Closes: #598193)
  * Implemented support for viewing screenshots

 -- Benjamin Mesing <bensmail@gmx.net>  Sat, 19 May 2012 21:40:09 +0200
