=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <bensmail@gmx.net>
Build-Depends: debhelper (>= 8.9.7), libept-dev (>= 1.0), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
Standards-Version: 3.9.3
Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch

Package: packagesearch
Architecture: any
Depends: apt (>= 0.6.46.1), debtags (>= 1.6.1), apt-xapian-index, xterm, ${shlibs:Depends}, ${misc:Depends}
Recommends: apt-file, deborphan
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It should
 make the task of searching a pleasant experience. 
 .
 Search can be done by 
  * pattern
  * tags (based on the debtags system, a new way of categorizing 
    Debian packages)
  * files
  * installed status
  * orphaned packages
 Additionally a lot of information about the packages is displayed, 
 including the files belonging to them.
 .
 It is possible to install or remove packages.
