## packagesearch 2.7.4

=== src/plugins/popconplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libpopconplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.2) on: Thu Jun 28 23:09:18 2012
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Mon Oct 28 21:08:52 2013
 # Project:  popconplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
@@ -13,7 +13,7 @@
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
 CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.13 -I.moc
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
 LINK          = g++
 LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtCore 
@@ -68,6 +68,8 @@
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
+		/usr/share/qt4/mkspecs/features/dll.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
 		/usr/share/qt4/mkspecs/features/uic.prf \
@@ -129,6 +131,8 @@
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
+		/usr/share/qt4/mkspecs/features/dll.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
 		/usr/share/qt4/mkspecs/features/uic.prf \
@@ -156,6 +160,8 @@
 /usr/share/qt4/mkspecs/features/qt.prf:
 /usr/share/qt4/mkspecs/features/moc.prf:
 /usr/share/qt4/mkspecs/features/warn_on.prf:
+/usr/share/qt4/mkspecs/features/shared.prf:
+/usr/share/qt4/mkspecs/features/dll.prf:
 /usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
 /usr/share/qt4/mkspecs/features/resources.prf:
 /usr/share/qt4/mkspecs/features/uic.prf:
@@ -194,7 +200,7 @@
 compiler_moc_header_clean:
 	-$(DEL_FILE) .moc/moc_popconplugincontainer.cpp
 .moc/moc_popconplugincontainer.cpp: popconplugincontainer.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) popconplugincontainer.h -o .moc/moc_popconplugincontainer.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) popconplugincontainer.h -o .moc/moc_popconplugincontainer.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:
