=== debian/changelog ===
packagesearch (2.7.4) unstable; urgency=low

  * removed reference to ept::axi an ept::popcon(Closes: #727627)
  * updated dependency to latest version of libwibble (>=1 << 2)

 -- Benjamin Mesing <ben@debian.org>  Mon, 28 Oct 2013 17:27:02 +0100
