=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 8.9.7), libept-dev (>= 1.0), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
-Standards-Version: 3.9.3
+Maintainer: Benjamin Mesing <ben@debian.org>
+Build-Depends: debhelper (>= 8.9.7), libept-dev (>= 1.0.9), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
+Standards-Version: 3.9.5
 Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch
 
 Package: packagesearch
