=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	docbook-to-man debian/manpage.sgml > debian/packagesearch.1
	dh_auto_build
	# not yet ready for release - no popcon data available
	rm -f src/plugins/libpopconplugin.so

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/packagesearch.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/packagesearch.1

# do not run Make test because it is currently broken
override_dh_auto_test:
	

# .PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installchangelogs override_dh_installman override_dh_auto_test
