## packagesearch 2.7.4ubuntu1.1

=== src/plugins/popconplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libpopconplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.6) on: Mon Oct 28 21:08:52 2013
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Mo. Okt 5 16:38:11 2015
 # Project:  popconplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
@@ -12,10 +12,10 @@
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+CXXFLAGS      = -m64 -pipe -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
 LINK          = g++
-LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
+LFLAGS        = -m64 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtCore 
 AR            = ar cqs
 RANLIB        =
