=== debian/changelog ===
packagesearch (2.7.4ubuntu1.1) wily; urgency=medium

  * rebuild against libapt-pkg4.16

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 16:37:01 +0200

packagesearch (2.7.4ubuntu1) wily; urgency=medium

  * Rebuild against libxapian22v5.
  * Drop inclusion of debtags.tcc, it's gone in the rearranged libept 1.0.13.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 16:21:55 +0200
