=== debian/changelog ===
packagesearch (2.7.5) unstable; urgency=medium

  * fixed compile bugs against latest libept (Closes: #798143, #798808)

 -- Benjamin Mesing <ben@debian.org>  Sun, 20 Sep 2015 20:51:40 +0200
