=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Mesing <ben@debian.org>
+Maintainer: Benjamin Mesing <ben@debian.org>
 Build-Depends: debhelper (>= 8.9.7), libept-dev (>= 1.0.9), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
-Standards-Version: 3.9.5
-Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch
+Standards-Version: 3.9.6
+Vcs-Git: https://git.code.sf.net/p/packagesearch/git
 
 Package: packagesearch
 Architecture: any
