## packagesearch 2.7.5b2

=== debian/changelog ===
packagesearch (2.7.5b2) staging; urgency=medium

  * No-change rebuild against libapt-pkg5.0

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Mon, 21 Dec 2015 00:34:35 +0100

packagesearch (2.7.5b1) staging; urgency=high

  * Rebuild for tanglu 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 21 Sep 2015 19:21:41 +0200
