=== src/plugins/screenshotplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libscreenshotplugin.so
-# Generated by qmake (2.01a) (Qt 4.8.7) on: Sun Sep 20 20:53:06 2015
+# Generated by qmake (2.01a) (Qt 4.8.7) on: mar nov 15 18:43:01 2016
 # Project:  screenshotplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 CONFIG-=debug CONFIG+=release -o Makefile screenshotplugin.pro
@@ -12,11 +12,11 @@
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-CXXFLAGS      = -m64 -pipe -std=c++11 -O2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I/usr/include/tagcoll-2.0.14 -I.moc
+CXXFLAGS      = -m64 -pipe -std=c++11 -O2 -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I.moc
 LINK          = g++
-LFLAGS        = -m64 -Wl,-z,relro -Wl,-O1 -shared
-LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtNetwork -lQtCore 
+LFLAGS        = -m64 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-O1 -shared
+LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lept -lapt-pkg -lxapian -lz -lpthread -lQtXml -lQtGui -lQtNetwork -lQtCore 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake-qt4
