=== debian/changelog ===
packagesearch (2.7.5build1) zesty; urgency=medium

  * Rebuild against new libxapian30.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Nov 2016 18:42:59 +0100
